<?php
// Добавляем таблицу acc_subadmin для хранения настроек доступа субадминистраторов
run_query("CREATE TABLE IF NOT EXISTS `" . $config['table_prefix'] . "acc_subadmin` (`group_id` int(11) NOT NULL, `acc` text NOT NULL, PRIMARY KEY (`group_id`)) DEFAULT CHARSET=utf8");

// Добавляем таблицу acc_subadmin_rules для хранения правил доступа субадминистраторов
run_query("CREATE TABLE IF NOT EXISTS `" . $config['table_prefix'] . "acc_subadmin_rules` (`id` int(11) NOT NULL AUTO_INCREMENT, `group_id` int(11) NOT NULL, `name` text NOT NULL, `key` text NOT NULL, `value` int(11) NOT NULL, `acc` int(11) NOT NULL, PRIMARY KEY (`id`)) DEFAULT CHARSET=utf8");

// Добавляем столбец owner_id для поддержки множества субадминистраторов
$result = run_query("SHOW COLUMNS FROM `" . $config['table_prefix'] . "cats` LIKE 'owner_id'");
if (!sql_fetch_assoc($result)) {
    run_query("ALTER TABLE `" . $config['table_prefix'] . "cats` ADD `owner_id` INT(11) NOT NULL DEFAULT 0");
}

$result = run_query("SHOW COLUMNS FROM `" . $config['table_prefix'] . "tables` LIKE 'owner_id'");
if (!sql_fetch_assoc($result)) {
    run_query("ALTER TABLE `" . $config['table_prefix'] . "tables` ADD `owner_id` INT(11) NOT NULL DEFAULT 0");
}

$result = run_query("SHOW COLUMNS FROM `" . $config['table_prefix'] . "fields` LIKE 'owner_id'");
if (!sql_fetch_assoc($result)) {
    run_query("ALTER TABLE `" . $config['table_prefix'] . "fields` ADD `owner_id` INT(11) NOT NULL DEFAULT 0");
}

$result = run_query("SHOW COLUMNS FROM `" . $config['table_prefix'] . "calendars` LIKE 'owner_id'");
if (!sql_fetch_assoc($result)) {
    run_query("ALTER TABLE `" . $config['table_prefix'] . "calendars` ADD `owner_id` INT(11) NOT NULL DEFAULT 0");
}

$result = run_query("SHOW COLUMNS FROM `" . $config['table_prefix'] . "reports` LIKE 'owner_id'");
if (!sql_fetch_assoc($result)) {
    run_query("ALTER TABLE `" . $config['table_prefix'] . "reports` ADD `owner_id` INT(11) NOT NULL DEFAULT 0");
}
?>